
// ****************************************************************************
// Helper functions wrapped in objects!
// ****************************************************************************
var DesktopIntegration = {
    getDesktopWindow : function() {
      var win;
      if (typeof isDesktop != &quot;undefined&quot; &amp;&amp; isDesktop ){
          win = window;
      } else {
         if ( typeof opener != &quot;undefined&quot; &amp;&amp; opener &amp;&amp; !opener.closed &amp;&amp; typeof opener.window != &quot;undefined&quot; &amp;&amp; opener.isDesktop ) {
            win = opener.window;
         }
      }
      return win;
   },
   getApplicationWindows : function() {

 var win = this.getDesktopWindow();
 if (win) {

 return win.WindowHandler().getApplicationWindows();
} else {

 return [];
}
},     getALM : function() {

 var win = this.getDesktopWindow();
 return win.ALM();
},     getWindowHandler : function() {

 var win = this.getDesktopWindow();
 if (win != null &amp;&amp; win != &quot;undefined&quot;) {
       	return win.WindowHandler();
}
 return null;
},     getLogger : function() {

 var win = this.getDesktopWindow();
 if (win != null &amp;&amp; win != &quot;undefined&quot;) {

 return win.Logger;
}
 return null;
}
}
 var StyleUtils = {
    addClass : function( el, clazz ) {

 if ( !this.hasClass( el, clazz ) ){
          el.className += (&quot; &quot; + clazz);
}
},     removeClass : function( el, clazz ) {

 if (el.className == null)
 return;
 var list = el.className.split(&quot; &quot;);
 for (
 var i = 0; i &lt; list.length; ++i ) {

 if (list[i] == clazz) {
             list[i]=&quot;&quot;;
}
}       el.className = list.join(&quot; &quot;);
},     hasClass : function(el, clazz) {

 var list = el.className.split(&quot; &quot;);
 for (var i = 0; i &lt; list.length; ++i ) {

 if (list[i] == clazz) {

 return true;
}
}
 return false;
}
}
//end StyleUtils
 var SizeUtils = {
    getScrollPos : function() {

// Care - in strict mode on IE6 we need to look in documentElement.
// Need to look at document.compatMode
 for this. Not that we use
// strict mode currently but...
 return {
          x : Browser.isIE ? document.body.scrollLeft : window.pageXOffset,          y : Browser.isIE ? document.body.scrollTop  : window.pageYOffset
}
},    getViewportSize : function() {
       function isMozHorizScollBarShowing() {

 return (( document.body.offsetWidth &lt; window.innerWidth ) &amp;&amp;              ( document.documentElement.offsetWidth &gt; document.body.offsetWidth ));
}
 return {
          width : document.body.clientWidth,          height: Browser.isIE ?                  document.body.clientHeight :                  window.innerHeight - (isMozHorizScollBarShowing() ? 15 : 0)
}
},    getWindowPos : function( win ) {

 return {
          x: Browser.isIE ? win.screenLeft : win.screenX,          y: Browser.isIE ? win.screenTop  : win.screenY
}
},    getOffsetPos : function( element ) {

 var left=0, top=0;       while( element ) {
          left += element.offsetLeft;          top += element.offsetTop;          element = element.offsetParent;
}
 return {
x:left, y:top
};
},    isMinimized : function( win ) {

 var winPos = this.getWindowPos( win );
 return (Math.abs(winPos.x) &gt;= 30000) ||                (Browser.isMoz &amp;&amp; win.outerWidth &lt; 100);
}
}
// ****************************************************************************
// When using these variables, you must be very clear which browser you are
// dealing with.  For instance multiple key events are produced in one version
// of IWB, but not the other.
// ****************************************************************************

// ****************************************************************************
// IE emulation stuff
 for Mozilla based browsers
// ****************************************************************************
 if ( Browser.isMoz ) {
    Event.prototype.__defineSetter__(&quot;returnValue&quot;, function (b) {

 if (!b) this.preventDefault();
 return b;
}    );    Event.prototype.__defineSetter__(&quot;cancelBubble&quot;, function (b) {

 if (b) this.stopPropagation();
 return b;
}    );    Event.prototype.__defineGetter__(&quot;srcElement&quot;, function () {

 var node = this.target;          while (node.nodeType != 1 &amp;&amp; node.nodeType != 9) node = node.parentNode;
 return node;
}    );    HTMLAnchorElement.prototype.click = function() {

 var evt = this.ownerDocument.createEvent(&#039;MouseEvents&#039;);       evt.initMouseEvent(&#039;click&#039;, true, true, this.ownerDocument.defaultView, 1, 0, 0, 0, 0, false, false, false, false, 0, null);       this.dispatchEvent(evt);
};    HTMLElement.prototype.__defineGetter__(&quot;innerText&quot;, function () {

 var r = this.ownerDocument.createRange();       r.selectNodeContents(this);
 return r.toString().replace(/&#092;s&#092;s+/g, &quot; &quot;).replace(/^&#092;s*|&#092;s*&#036;/g, &quot;&quot;);
});
}  String.prototype.pad = function( length, padChar ) {

 if ( this.length &gt;= length ) {

 return this;
}
//               12345678901234567890
 var padString = &quot;                    &quot;;
 if ( typeof padChar != &quot;undefined&quot; &amp;&amp; padChar != &quot; &quot; ) {
       padString = padString.replace( / /g, padChar );
}
 var padLengthReqd = length - this.length;    while( padLengthReqd &gt; padString.length ) {
       padString += padString;
}
 return this + padString.substr(0,padLengthReqd);
}
//
 returns the string truncated to length characters
 if the original string
// is longer than length, or the original string
 if shorter. String.prototype.truncate = function( length ) {

 return this.substr(0,length);
} String.prototype.startsWith = function( text ) {

 return ( this.indexOf( text ) == 0 );
} String.prototype.trim = function() {

 return this.replace(/^&#092;s+|&#092;s+&#036;/g,&quot;&quot;);
}  function HTTPRequest() {
 this.body = &quot;&quot;
} HTTPRequest.prototype.getRequester = function() {

// Create an instance of the XML HTTP Request object
 var oXMLHTTP;
// IE bits are in a conditional compilation.
// First we turn that feature on, then we do the IE specific bits.
// Browsers that don&#039;t support this feature will treat this as a comment.     /*@cc_on @*/    /*@if (@_jscript_version &gt;= 5)    try {
       oXMLHTTP=new ActiveXObject(&quot;Msxml2.XMLHTTP&quot;)
} catch (e) {
       try {
          oXMLHTTP=new ActiveXObject(&quot;Microsoft.XMLHTTP&quot;)
} catch (E) {

}
}    @end @*/
// Non IE browsers start here.
 if (typeof oXMLHTTP == &quot;undefined&quot;) {
       try {
          oXMLHTTP = new XMLHttpRequest();
} catch (e) {

}
}
 return oXMLHTTP;
}
// 0 (uninitialized) Object created, open not called yet
// 1 (loading) Called open but not send
// 2 (loaded) Called send, got status and headers but not body
// 3 (interactive) Some data received (and available) but not all
// 4 (completed) All the data has been received  HTTPRequest.prototype.post = function( url, handler, async, timeout ) {

// default to async
 if ( typeof async == &quot;undefined&quot; ) {
       async = true;
}
 var requester = this.getRequester();
 var timer;
 if ( async ) {
       requester.onreadystatechange = function() {

 if ( requester.readyState == 4 ) {
             clearTimeout( timer );             handler( requester );
}
};
}     requester.open( &quot;POST&quot;, url, async );    requester.setRequestHeader( &quot;Content-Type&quot;, &quot;application/x-www-form-urlencoded&quot; );
 if ( typeof timeout != &quot;undefined&quot; ) {
       timer = window.setTimeout(          function(){
              requester.abort()
 if ( Browser.isMoz ) {
                handler( requester );
}
},          timeout       );
}    requester.send( this.body );
 if ( !async ) {
       handler( requester );
}
}  HTTPRequest.prototype.addParam = function( name, value ) {

 if ( this.body.length &gt; 0 ){
 this.body += &quot;&amp;&quot;;
}    this.body += escape(name) + &quot;=&quot; + escape(value);
}
